Veo 3.1 Fast
Integriruj
veo3.1/fast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veo3.1/fast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1/fast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": True,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1/fast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/rom/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veo3.1/fast",
"input": {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}
}
Kall o Veo 3.1 Fast modelo (veo3.1/fast) vas o Doitong API. Dokumentacia vaš agentura: https://doitong.com/rom/developers/models/veo3.1/fast.md
POST https://api.doitong.ru/v1/run/veo3.1/fast?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}
Te o response status si "queued" vaj "running", ker polling GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 dži kaj te avel "succeeded"; e fajlo si andro outputs[].url. POST https://api.doitong.ru/v1/quote/veo3.1/fast sa jekhe body-esa del o precizno molipen angl-o phiripen.
Kava mangipen: $0.60 600 API krediti · ≈ ₽63.28 Phir les kate
Tiro nevo API klidin. Dikhavel pes akana numa thaj si angleder ando kodo thaj ando API klidin kotor tele. Garav les: na thovel les ande kodo savo keren andre jekh browser.
Primerura
PromptoUltra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing. Sound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. Visual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced. Camera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh. Style: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.
Ker jekh mangipen
O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.
/run/veo3.1/fast?wait=20
hesab → $0.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veo3.1/fast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1/fast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": True,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1/fast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veo3.1/fast",
"input": {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
},
"wait_seconds": 20
}
}
}
Phandel kava mangipen
Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ
Kerdo pe Doitong
Publikane khera kerde Veo 3.1-sa e Doitong komunitetostar. Pheripen jekh prompto ande jekh klik.
Кинематографичная сцена в современном офисном коридоре. Огромная дверь с надписью «Фарм» резко открыта, изнутри виден пиксельный мир в стиле Minecraft: квадратные фермы, зелёные блоки, механизмы, лёгкое зелёное и тёплое свечение. Из двери выходит главный герой — толстый, неприятного вида, немного...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Главный герой открывает дверь и попадает в розовый сказочный HR-мир. Камера показывает пони, сердечки, блестящие облачка, розовый свет и всё вокруг как будто сделано из милоты. В центре появляется бимбо-глава HR — очень гламурная, в розовом, с идеальной внешностью и ярким макияжем. Она дружелюбно...
Главный герой открывает дверь и оказывается в гигантском мире Minecraft-like. Камера показывает бесконечные фермы, механизмы, падающие ресурсы, мобов, редстоун и автоматизацию. На переднем плане стоит глава отдела фарма — квадратный парень с мотыгой в руках. Он разворачивается к герою и жестом...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Камера показывает рабочую жизнь HR-отдела: одна сотрудница катается на кресле, кто-то берёт подушку Кати, несколько человек сидят и увлечённо болтают, другие пьют чай и кушают, и всё это происходит так, будто это стратегическая работа мирового уровня. Глава HR стоит посреди этого хаоса и с милой...
Кинематографичная сцена в современном офисном коридоре. Главный герой стоит напротив четырёх огромных дверей, каждая из которых выглядит как вход в отдельную вселенную. Над дверями большими буквами написано: Разработка, Маркетинг, HR, Фарм. Сначала камера показывает героя со спины или в...
Глава фарма ведёт главного героя по своему миру и показывает, как устроены фермы и процессы. Затем он указывает на отдельную часть системы, где визуально показана новая схема выдачи аккаунтов по новым гео. Вокруг двигаются механизмы, работают фермы, падает дроп, всё автоматизировано и работает...
Камера показывает гигантского киберпанк-робота в мире серверов. Робот медленно выходит из темноты, на нём современное худи, широкие штаны, в руке электронка, от него идёт холодное неоновое свечение. Глава разработки с гордостью презентует его главному герою, жестом показывая на робота. Робот...
создай видео для хронометража 00:28 - 00:32 сценарий без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается к нам спиной и убегает в платье и шубе в лес, мы видим ее убегающий силуэт Волчица не дает всадником...
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается к нам спиной и убегает в лес, мы видим ее убегающий силуэт Волчица...
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается к нам спиной и убегает в лес, мы видим ее убегающий силуэт Волчица...
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается спиной и убегает в лес Волчица бросается на всадников они отступают
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Всадники увидели девушку с волчицей и хорьком и окружили их. Девушка выходит из укрытия....
создай видео для хронометража 00:24 - 00:28 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд --- Вот подробный сценарий для вирального короткого видео (Reels/TikTok/Shorts) в эстетике «российской хтони» и дарк-фолка. **Концепция:** Мрачная,...
создай видео для хронометража 00:24 - 00:28 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд --- Вот подробный сценарий для вирального короткого видео (Reels/TikTok/Shorts) в эстетике «российской хтони» и дарк-фолка. **Концепция:** Мрачная,...
Palal Veo 3.1 Fast
Veo 3.1 Fast rakhel Veo-qi realistikanipe, dialog thaj zvuk-generacija, numa sigutneder renderesa thaj but pō-tele molipasa, so kerel les lačhe defaultes vaš iteracija. 4, 6 vaj 8 sekunde, 16:9 vaj 9:16, pre 720p, 1080p vaj 4K; audio šaj te avel phandlo.
Parametra
prompttrubul
aspect_ratioopcionalno
durationopcionalno
negative_promptopcionalno
resolutionopcionalno
generate_audioopcionalno
seedopcionalno
auto_fixopcionalno
safety_toleranceopcionalno
Rezultato
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veo3.1/fast",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 600,
"usd": "0.60",
"charged": 600,
"refunded": 0
},
"input": {
"prompt": "A golden retriever runs along a beach at sunset, waves splashing, slow motion, warm backlight",
"duration": 6,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Outputoske fieldura
- video
- object {url, content_type, file_name, file_size}Video kerdo le modelostar.
Aver variantura e Veo 3.1
Bute modeli: Teksto ko Video
AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/veo3.1/fast.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt